
#ifndef R_LIGHT_H
#define R_LIGHT_H

typedef struct
{
	vec3_t origin;
	vec_t cullradius2; // only for culling comparisons, squared version
	vec3_t light; // the brightness of the light
	vec_t cullradius; // only for culling comparisons
	vec_t subtract; // to avoid sudden brightness change at cullradius, subtract this
	entity_render_t *ent; // owner of this light
}
rdlight_t;

extern int r_numdlights;
extern rdlight_t r_dlight[MAX_DLIGHTS];

void R_BuildLightList(void);
void R_AnimateLight(void);
void R_MarkLights(entity_render_t *ent);
void R_DrawCoronas(void);
void R_CompleteLightPoint(vec3_t color, const vec3_t p, int dynamic, const mleaf_t *leaf);
void R_LightModel(const entity_render_t *ent, int numverts, float *vertices, float *normals, float *colors, float colorr, float colorg, float colorb, int worldcoords);
void R_UpdateEntLights(entity_render_t *ent);

#endif

